Skip to main content

Voucher reservations

POST 

/v3/vouchers/reservations

Voucher reservations

Request

Path Parameters

    sellerId stringrequired

    Possible values: >= 15 characters and <= 15 characters, Value must match regular expression ^([a-zA-Z0-9]{3}(-[a-zA-Z0-9]{3}){3})$

    Seller ID obtained during seller boarding

Header Parameters

    Api-Key stringrequired

    Unique key used to authenticate API requests.

    Signature stringrequired

    The Signature header is used to ensure the request’s body integrity and to confirm that its content has not changed.

    Accept stringrequired

    The Accept request HTTP header advertises which content types, expressed as MIME types, the client is able to understand. Can be set to */*.

    Idempotency-Key stringrequired

    Possible values: <= 45 characters

    A unique identifier used to ensure idempotent behavior. If the business application request fails or you receive a timeout you can retry the request with the same Idempotency-Key to guarantee that only one business object is created.

    Content-Type stringrequired

    The Content-Type entity header is used to indicate the media type of the resource.

Body

required

Request body for voucher reservation request

    voucherCode stringrequired

    Voucher code

    amount int64required

    Amount of the order. A positive integer in the smallest currency unit.

    Possible values: <= 10 characters

    transfers

    object[]

    required

    Sellers transfer list

  • Array [

  • sellerId stringrequired

    Seller ID

    Possible values: <= 15 characters

    grossAmount int64required

    Transfer gross amount in the smallest currency unit

    Possible values: <= 10 characters, >= 1 and <= 100000000

  • ]

Responses

Success

Schema

    voucherReservationId stringrequired

    Voucher reservation ID to create payment with voucher code.

    Possible values: <= 15 characters

    payerAmount int64required

    Amount to be paid by the payer. A positive integer in the smallest currency unit.

    Possible values: <= 10 characters

    voucherAmount int64required

    Amount to be charged from the voucher. A positive integer in the smallest currency unit.

    Possible values: <= 10 characters

    transfers

    object

    required

    sellerId stringrequired

    Seller ID

    Possible values: <= 15 characters

    payerGrossAmount int64required

    Amount to be paid by the payer in the smallest currency unit

    Possible values: <= 10 characters, >= 1 and <= 100000000

    voucherGrossAmount int64required

    Amount to be charged from the voucher card balance in the smallest currency unit

    Possible values: <= 10 characters, >= 1 and <= 100000000

Loading...